<template>
  <GenericLayout>
    <template #header>
      <Header
        fastplatform-logo
        :title="pageTitle"
      />
    </template>
    <template #page-content>
      <div class="q-gutter-y-md">
        <template v-if="isDesktopPlatform">
          <div
            class="page-title"
            v-if="pageTitle"
          >
            {{ pageTitle }}
          </div>
        </template>
        <div :class="{'page-default-padding-x': !isDesktopPlatform}">
          Icons made by
          <a
            href="https://www.flaticon.com/authors/freepik"
            title="Freepik"
          >Freepik</a>
          from
          <a
            href="https://www.flaticon.com/"
            title="Flaticon"
          >www.flaticon.com</a>
        </div>
      </div>
    </template>
    <template #footer>
      <Footer />
    </template>
  </GenericLayout>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'
import GenericLayout from 'src/layouts/GenericLayout'
import Header from 'src/components/layouts/Header'
import Footer from 'src/components/layouts/Footer'

export default {
  name: 'CreditsPage',
  mixins: [
    PlatformMixin
  ],
  components: {
    GenericLayout,
    Header,
    Footer
  },
  computed: {
    pageTitle () {
      return this.$gettext('Credits')
    }
  }
}
</script>
